Bug 4734 - [UPDATE REQUEST] yamagi-quake2 needs up be updated
: [UPDATE REQUEST] yamagi-quake2 needs up be updated
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-26 15:55 MSK by Zombie Ryushu
Modified: 2015-02-26 18:31 MSK (History)
2 users (show)

See Also:
RPM Package: yamagi-quake2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2014-11-26 15:55:29 MSK
On 05/08/2014 Quake II 5.23 was released. Changes since 5.22 are:

- Provide gl_hudscale cvar that can be changed to scale the HUD, for high resolutions etc. (by caedes)
- Several menu improvements.
- A better work around for the "the mouse cursor hits the window border" SDL2 problem.

On 01/01/2013 Three Wave Capture The Flag 1.02 was released. Changes since 1.01 are:

- Port 'Three Wave Capture The Flag' to Mac OS X

On 05/08/2014 The Reckoning 2.01 was released. Changes since 2.00 are:

- Fix a progress stopper in xware.bsp

On 05/08/2014 Ground Zero 2.00 and was released. Changes since 1.07 are:

- Cleanup of the whole source, nearly every line was audited and touched.
- Add sanity checks to all function.
- Fix all known bugs.
- Merge all missing changes from baseq2.
Comment 1 Zombie Ryushu 2015-01-29 14:54:36 MSK
This is still an issue needing to be fixed for online play.
Comment 2 Andrey Bondrov 2015-01-29 19:21:34 MSK
(In reply to comment #1)
> This is still an issue needing to be fixed for online play.

I'll take care tomorrow. Please remind me next week if I forget.
Comment 3 Shalok Shalom 2015-02-19 18:16:16 MSK
You forget ;)
Comment 4 Andrey Bondrov 2015-02-19 19:52:18 MSK
(In reply to comment #3)
> You forget ;)

Please test (I don't have Quake II data files right now so I cannot do a quick test):

https://abf.rosalinux.ru/build_lists/2431047
https://abf.rosalinux.ru/build_lists/2431048
Comment 5 Zombie Ryushu 2015-02-19 20:02:16 MSK
Will try.
Comment 6 Andrey Bondrov 2015-02-26 12:29:24 MSK
(In reply to comment #5)
> Will try.

Have you tried? :-)
Comment 7 Zombie Ryushu 2015-02-26 13:57:40 MSK
I'm sorry, I have not, I have gotten a job offer and had medical issues that have been consuming my time, but my life is calming down and I will ASAP.
Comment 8 Zombie Ryushu 2015-02-26 14:01:29 MSK
(In reply to comment #7)
> I'm sorry, I have not, I have gotten a job offer and had medical issues that
> have been consuming my time, but my life is calming down and I will ASAP.

I'm recompiling it for Rosa 2014.1 and 2012.1 Right now.
Comment 9 Zombie Ryushu 2015-02-26 18:11:58 MSK
This build can fail to resize the screen correctly in full screen mode. The game runs correctly, but full screening can result in X.org losing modelines and other weirdness. I'll contact the upstream maintainer.
Comment 10 Andrey Bondrov 2015-02-26 18:31:14 MSK
(In reply to comment #9)
> This build can fail to resize the screen correctly in full screen mode. The
> game runs correctly, but full screening can result in X.org losing modelines
> and other weirdness. I'll contact the upstream maintainer.

Thanx for testing. Let me know when it's time to build new version :-)